NFT Collection Mints

NOTE: This endpoint is only callable by API keys in the following tiers:

  • Business
  • Developer
  • Enterprise
  • PremiumSharedRpc
  • StarterSharedRpc
  • UltimateSharedRpc

The NFT Collection Mints endpoint maps a unique Hello Moon helloMoonCollectionId to a list of on-chain mint addresses.

helloMoonCollectionId or nftMint is required to receive a successful query response.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Examples

Get mint addresses for a collection

const axios = require("axios");

const url = "https://rest-api.hellomoon.io/v0/nft/collection/mints";

async function getMints() {
    const { data } = await axios.post(
        url,
        {
			"helloMoonCollectionId": "040de757c0d2b75dcee999ddd47689c4"
		},
        {
            headers: {
                Accept: "application/json",
                "Content-Type": "application/json",
                Authorization: "Bearer <your_token>",
            },
        }
    );

    console.log(data);
}
Body Params

body

string

To find the correct helloMoonCollectionId, click here and search a collection name. This list is continuously updated.
optional field

Search by single string of nft mint address | Search by array of nft mint addresses
number
1 to 1000

The number of results to return per page
optional field

number
≥ 1

The page number to return
optional field

string

The pagination token to use to keep your position in the results
optional field

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json